VERSION 8; ; 8300
* -----------------------------------------------------------------------------
* @filedoc
* @file Punkte_Generieren.CSX
* @brief Bsp. fr Punkterzeugung mit CardScript 
* 
* Beispiel: Punkte generieren (+ Visualisierung), Nebenattribute setzen
*
* -----------------------------------------------------------------------------
* Copyright (C) IB&T
* 
* Gewhrleistung und Nutzung
* 
* Die Nutzung des Skriptes erfolgt stets auf eigene Gefahr. IB&T bernimmt keine
* Gewhr dafr, dass die Nutzung dieses Skriptes zu Ihrem gewnschten Ergebnis
* fhrt. Da CardScripte vorhandene Projektdaten durch Direktzugriff auf die
* jeweiligen Datenbanken auch ohne weitere Sicherheitsabfragen unbemerkt verndern
* oder lschen knnen, erfordert eine Nutzung entsprechende Kenntnisse und groe
* Sorgfalt. IB&T haftet nicht fr eventuell entstehende Datenverluste und
* Folgeschden, die durch die Nutzung von CardScripten entstehen.
*
* -----------------------------------------------------------------------------
* @author TB
* @endfiledoc
* -----------------------------------------------------------------------------
*       1 14.05.09 JH Version fr die 8.3 hergestellt
* @history
* -----------------------------------------------------------------------------
* 

* Vereinbarungen --------------------------------------------------------------------------------

BILDSCHIRM GRAFIK                | gibt die Meldungen im Arbeitsprotokoll aus

* Deklarationen ---------------------------------------------------------------------------------

SYMBOLE /POINTSYS/ PointSys      | Symbol fr System der Punkte
SYMBOLE /POINT/ Punkt            | Symbol fr den Punkt
SYMBOLE /COORDINATE/ Koord       | Symbol fr den Hilfspunkt
SYMBOLE /MINMAX/ MinMax          | Symbol fr die Objektausdehnung 

* Ausfhrungen ----------------------------------------------------------------------------------

* Systemobjekte
PointSys = Project.GetPointSys()                   | liefert das Objekt fr das System der Punkte

* Projektausdehnung
MinMax = Project.GetExtent()                       | liefert das Objekt fr die aktuelle Projektausdehnung
XMin = MinMax.GetXMin()                            | liefert den minimalen Rechtswert der Projektausdehnung
YMin = MinMax.GetYMin()                            | liefert den minimalen Hochwert der Projektausdehnung

* Schleife zur Erzeugung von 40 Punkten
SCHLEIFE I = 1; 40

  TEXTGEN !PunktNr; "Punkt00-#"; I                 | generiert die Punktnummer (aus Schleifenzhler)

  * Punktobjekt
  Punkt = PointSys.GetPoint(!PunktNr)              | liefert den vorhandenen Punkt
  WENN Punkt == $NULL DANN                         | Wenn Punkt nicht vorhanden, wird ein neuer Punkt erzeugt
    Punkt = PointSys.CreatePoint(!PunktNr)
  SONST
    MELDE "Punkt '#' ist bereits vorhanden und wird berschrieben!"; !PunktNr
  WEITER

  * Punktinformationen
  Re = (I*2) + XMin                                | variabler Rechtswert 
  Ho = (I*2) + YMin                                | variabler Hochwert 
  Punkt.SetPosition(Re; Ho)                        | setzt die Punktkoordinate
  Punkt.SetHeight(10,0 + (I*0,1))                  | setzt die Punkthhe
  Punkt.SetCode(999)                               | setzt den Punktkode

  * Nebenattribute (diese mssen nicht vordefiniert werden)
  TEXTGEN !Re; "#.###"; Re                         | generiert den Rechtswert als Text 
  TEXTGEN !Ho; "#.###"; Ho                         | generiert den Hochwert als Text 
  Punkt.SetAttribute("01--Eingegeben am"; !_Datum) | setzt die Nebenattribute
  Punkt.SetAttribute("02--Kategorie"; "Testpunkt") 
  Punkt.SetAttribute("03--Rechtswert"; !Re)
  Punkt.SetAttribute("04--Hochwert"; !Ho)

  Punkt.SetMark(1)                                 | markiert den neuen Punkt 

  * Hilfspunktobjekt (fr Visualisierung des neu erzeugten Punktes in der Lageansicht)
  Koord.SetValues(Re; Ho)                          | setzt die Koordinate des Hilfspunktes
  Koord.Draw(7; 10)                                | zeichnet den Hilfspunkt in der Lageansicht

ENDE SCHLEIFE  

MELDUNG NEUTRAL "Punkte wurden generiert"